#!/bin/bash
SCRIPT_DIR="$(realpath $(dirname "$(readlink -f "$0")"))"

. $SCRIPT_DIR/_docker-cmd.sh || {
  echo "no docker cmd is presented" && exit 1
}

PHP_VERSION=$1 # Without dot

if [[ -z "${PHP_VERSION}" ]]; then PHP_VERSION=74; fi

CONTAINER=$(docker ps | grep workspace${PHP_VERSION} | awk '{print $1}')


if [[ -z "${CONTAINER}" ]]; then
  echo "Unable to find container: workspace${PHP_VERSION}"
  exit 1
fi

$DOCKER_CMD exec -ti ${CONTAINER}
